콘텐츠로 건너뛰기

Silero VAD

통합

모델 id silero-vad
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/silero-vad?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.001 1 API 크레딧 · ≈ ₽0.11 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Silero 음성을 텍스트로 #vad#silero#voice-activity-detection

오디오에 음성이 포함되어 있는지 감지하고 음성 타임스탬프를 반환하며 전사는 수행하지 않음

Silero · 데이터 (JSON)

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 audio_url
파일을 끌어다 놓거나

음성 타임스탬프 추출에 사용할 오디오 URL입니다.

POST /run/silero-vad?wait=20 견적 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/silero-vad?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Silero VAD 정보

`audio_url`로 지정한 오디오 파일의 음성 활동을 감지합니다. 부울 `has_speech`와 음성 타임스탬프 목록을 반환합니다. 전사 결과는 생성하지 않으므로 무음 구간을 잘라내거나 전사할 클립을 결정하는 데 적합합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
audio_url필수 audio
유형url · audio
음성 타임스탬프 추출에 사용할 오디오 URL입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "silero-vad",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "has_speech": false,
    "timestamps": [
      {
        "start": 1.0,
        "end": 1.0
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
has_speech
boolean오디오에 음성이 포함되어 있는지 나타냅니다.
timestamps
array of object {start, end}음성을 표시하는 타임스탬프입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/silero-vad.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt